aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-07-31 08:03:37 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-07-31 08:03:37 +0000
commitc7baa3db37e30c0dfeac0831652a96cb932be5df (patch)
tree2529b7f61f2e58e9ad9d45d9393ad6a84a4c88b3
parent1c0b8304317df2583ef2e01a336dbbb576e3dd18 (diff)
downloadpaludis-c7baa3db37e30c0dfeac0831652a96cb932be5df.tar.gz
paludis-c7baa3db37e30c0dfeac0831652a96cb932be5df.tar.xz
Be a bit friendlier when upgrading from non-vdb_path supporting paludis
-rw-r--r--ebuild/builtin_merge.bash8
1 files changed, 6 insertions, 2 deletions
diff --git a/ebuild/builtin_merge.bash b/ebuild/builtin_merge.bash
index 9ebdc31..184adde 100644
--- a/ebuild/builtin_merge.bash
+++ b/ebuild/builtin_merge.bash
@@ -25,10 +25,14 @@ builtin_merge()
local olddotglob=$?
shopt -s dotglob
- local dbdir="$(vdb_path )/${CATEGORY}/${PF}"
+ local v=$(vdb_path)
+ if [[ -z "${v}" ]] ; then
+ v=${ROOT}/var/db/pkg
+ fi
+ local dbdir="${v}/${CATEGORY}/${PF}"
ebuild_section "Writing VDB entry to '${dbdir}'..."
install -d "${dbdir}" || die "couldn't make pkg db directory (\"${dbdir}\")"
- install -d $(vdb_path )"/${CATEGORY}/${PF}"/.cache || die "couldn't make pkg db cache"
+ install -d "${v}/${CATEGORY}/${PF}"/.cache || die "couldn't make pkg db cache"
local v VDB_FORMAT="paludis-2"
for v in CATEGORY CBUILD CHOST DEPEND DESCRIPTION EAPI \